Bug 1468308 - [3.5] Hawkular Metrics cannot handle connecting to the Kubernetes Master when the ca.crt contains multiple certificates.
[3.5] Hawkular Metrics cannot handle connecting to the Kubernetes Master when...
Status: VERIFIED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Metrics (Show other bugs)
3.5.1
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.5.z
Assigned To: Matt Wringe
Junqi Zhao
:
: 1468350 (view as bug list)
Depends On: 1461635 1479930 1447463
Blocks: 1468309
  Show dependency treegraph
 
Reported: 2017-07-06 12:05 EDT by Matt Wringe
Modified: 2017-08-09 14:52 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1461635
: 1468309 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
metrics diagram could be viewed form web console (129.12 KB, image/png)
2017-07-09 22:12 EDT, Junqi Zhao
no flags Details

  None (edit)
Comment 2 Junqi Zhao 2017-07-09 22:12:19 EDT
Verify step is the same as 
https://bugzilla.redhat.com/show_bug.cgi?id=1447463#c64

Verification steps:
1. Add the example certificate before and after /etc/origin/master/ca-bundle.crt.
2. Restart server and deploy metrics 3.5 by using images from brew registry.
3. oc rsh ${HAWKULAR_METRICS_PODS};
   cat /var/run/secrets/kubernetes.io/serviceaccount/ca.crt

/var/run/secrets/kubernetes.io/serviceaccount/ca.crt is the same with /etc/origin/master/ca-bundle.crt.

4. Login web console, metrics can  be viewed, see the attached web UI snapshot

Testing env:
# openshift version
openshift v3.5.5.31
kubernetes v1.5.2+43a9be4
etcd 3.1.0

Imags from brew registry, metrics-hawkular-metrics latest image version is 3.5.0-25
metrics-hawkular-metrics   3.5.0-25            bba7b194fec5        3 days ago          1.27 GB
metrics-hawkular-metrics   v3.5                bba7b194fec5        3 days ago          1.27 GB
metrics-heapster           v3.5                4e29df6bda85        10 days ago         318.5 MB
metrics-cassandra          v3.5                15a64aac8593        10 days ago         540.5 MB
Comment 3 Junqi Zhao 2017-07-09 22:12 EDT
Created attachment 1295668 [details]
metrics diagram could be viewed form web console
Comment 4 Matt Wringe 2017-07-11 09:39:18 EDT
*** Bug 1468350 has been marked as a duplicate of this bug. ***
Comment 6 Junqi Zhao 2017-07-24 21:34:48 EDT
Same verification steps as Comment 2, login web console, metrics can  be viewed, Hawkular Metrics can handle connecting to the Kubernetes Master when the ca.crt contains multiple certificates now.

Testing env:
# openshift version
openshift v3.5.5.31.6
kubernetes v1.5.2+43a9be4
etcd 3.1.0

Imags from brew registry
metrics-heapster           3.5.0-19            f63b87cf243e        7 days ago          318.5 MB
metrics-hawkular-metrics   3.5.0-27            9d5c95075825        7 days ago          1.27 GB
metrics-cassandra          3.5.0-25            01c3f73189f0        7 days ago          540.6 MB

Note You need to log in before you can comment on or make changes to this bug.